Draft Ajouter un point

From FreeCAD Documentation
Revision as of 20:55, 21 February 2020 by David69 (talk | contribs)
Jump to navigation Jump to search
Other languages:
Deutsch • ‎English • ‎Türkçe • ‎español • ‎français • ‎italiano • ‎română • ‎svenska • ‎čeština • ‎русский
Arrow-left.svg Page précédente: Draft WireToBSpline.svg Filaire vers BSpline
Page suivante: Effacer un point Draft DelPoint.svg Arrow-right.svg

Draft AddPoint.svg Draft Ajouter un point

Emplacement du menu
Draft → Ajouter un point
Ateliers
Draft, Arch
Raccourci par défaut
Aucun
Introduit dans la version
-
Voir aussi
Draft Effacer un point, Draft Editer


Description

L'outil Draft AddPoint.svg Draft Ajouter un point vous permet d'ajouter des points aux Draft Wire.svg Draft Fil et Draft BSpline.svg Draft BSplines.

La contrepartie de cet outil est l'opération Draft DelPoint.svg Draft Effacer un Point.

Utilisation

  1. Sélectionnez un Draft Wire.svg Draft Fil ou une Draft BSpline.png Draft BSpline. L'outil est désactivé si aucun objet n'est sélectionné.
  2. Appuyez sur le bouton Draft AddPoint.svg Draft Ajouter un point.
  3. Cliquez sur un point de la vue 3D ou tapez les coordonnées et appuyez sur le bouton

Draft AddPoint.svg Draft Ajouter un point.

  1. Appuyez sur Esc ou sur le bouton Close pour terminer l'opération. Les points déjà placés resteront.

Cette fonctionnalité est également disponible à partir de l'outil Draft Edit.svg Draft Edit.

Options

  • Cette fonctionnalité est également disponible à l'intérieur de l'outil

Draft Edit.svg Draft Edit.

Script

Voir aussi: Draft API et FreeCAD Scripting Basics.

Aucune interface de programmation n'est disponible pour l'outil AddPoint. Toutefois, l'ajout de points est simple.

L'attribut Points d'un fil ou d'une spline est une liste de points qui composent cet objet. Pour ajouter des points, remplacez cet attribut par une liste de points plus longue. Vous pouvez utiliser des méthodes telles que append() et insert() pour ajouter un nouvel élément à la position souhaitée dans la liste. Chaque point est défini par son FreeCAD.Vector, en unités en millimètres.

Exemple:

import FreeCAD, Draft

p1 = FreeCAD.Vector(-1000, -400, 0)
p2 = FreeCAD.Vector(2200, -1000, 0)

wire = Draft.makeWire([p1, p2])

p_new = FreeCAD.Vector(1500, 1500, 0)
points = wire.Points
points.insert(1, p_new)

wire.Points = points
FreeCAD.ActiveDocument.recompute()
Arrow-left.svg Page précédente: Draft WireToBSpline.svg Filaire vers BSpline
Page suivante: Effacer un point Draft DelPoint.svg Arrow-right.svg